Create a new incident
curl --request POST \
--url https://api.justanotheruptime.com/incidents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"status": "investigating",
"severity": "medium",
"projectId": "<string>",
"description": "<string>",
"monitorId": "<string>",
"startedAt": "Current timestamp"
}
'import requests
url = "https://api.justanotheruptime.com/incidents"
payload = {
"title": "<string>",
"status": "investigating",
"severity": "medium",
"projectId": "<string>",
"description": "<string>",
"monitorId": "<string>",
"startedAt": "Current timestamp"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
status: 'investigating',
severity: 'medium',
projectId: '<string>',
description: '<string>',
monitorId: '<string>',
startedAt: 'Current timestamp'
})
};
fetch('https://api.justanotheruptime.com/incidents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Incidents
Create a new incident
POST
/
incidents
Create a new incident
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The title of the incident
The status of the incident
Available options:
investigating, identified, monitoring, resolved The severity of the incident
Available options:
low, medium, high, critical The ID of the project associated with this incident
The description of the incident
The ID of the monitor associated with this incident
The start time of the incident
Response
201 - application/json
The incident has been successfully created.
The response is of type object.
⌘I